#include <stdio.h>
#include <stdlib.h>
#include <string.h>

int main(int argc, char **argv)
{
    char linha[100000];

    while (1)
    {
        //fgets(linha, 100000, stdin);
        scanf("%s", linha);
        //linha[strlen(linha) - 1] = '\0';
        printf("Passei aqui!!!valor da linha: %s \n", linha);
        if (strcmp(linha, "0") == 0)
        {
            break;
        }
        int n = atoi(linha);
        int n50, n10, n5;
        int valor;

        for (int x = 0; x < n; x++)
        {
            scanf("%s", linha);
            valor = atoi(linha);
            n50 = 0;
            if (valor > 50)
            {
                n50 = valor / 50;
                valor -= n50 * 50;
            }

            n10 = 0;
            if (valor > 10)
            {
                n10 = valor / 10;
                valor -= n10 * 10;
            }

            n5 = 0;
            if (valor > 5)
            {
                n5 = valor / 5;
                valor -= n5 * 5;
            }

            printf("Caso de Teste %d : %d %d %d %d \n", (x + 1), n50, n10, n5, valor);
        }
    }

    return 0;
}
